Bug 1241827 - mock --new-chroot does not work
Summary: mock --new-chroot does not work
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: mock
Version: epel7
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Miroslav Suchý
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-07-10 07:50 UTC by Marko Myllynen
Modified: 2016-01-03 23:26 UTC (History)
6 users (show)

Fixed In Version: 1.2.13-2.fc22 mock-1.2.13-2.fc21 mock-1.2.13-2.el7 mock-1.2.13-2.el6 mock-1.2.14-1.fc23 mock-1.2.14-1.el6 mock-1.2.14-1.fc22 mock-1.2.14-1.el7
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-11-27 18:20:59 UTC
Type: Bug


Attachments (Terms of Use)
build.log (2.04 KB, text/plain)
2015-07-10 07:51 UTC, Marko Myllynen
no flags Details
root.log (138.31 KB, text/plain)
2015-07-10 07:52 UTC, Marko Myllynen
no flags Details
state.log (461 bytes, text/plain)
2015-07-10 07:52 UTC, Marko Myllynen
no flags Details

Description Marko Myllynen 2015-07-10 07:50:21 UTC
Description of problem:
On RHEL 7 + updates + kernel-3.10.0-287.el7.x86_64 and the only configuration changes being enabling SCM integration, build with --new-chroot fails with:

$ mock -r default --scm-enable --scm-option package=yum-plugin-noproxy -vvv --new-chroot
...
DEBUG: Executing command: ['/usr/bin/systemd-nspawn', '-M', '560274e0ff64469eb03ef0fd1ed2566b', '-D', '/var/lib/mock/epel-7-x86_64/root', '/bin/su', '-l', 'mockbuild', '-c', '/usr/bin/rpmbuild -bs --target x86_64 --nodeps /builddir/build/SPECS/yum-plugin-noproxy.spec'] with env {'LANG': 'en_US.UTF-8', 'TERM': 'vt100', 'SHELL': '/bin/bash', 'HOSTNAME': 'mock', 'PATH': '/usr/bin:/bin:/usr/sbin:/sbin', 'PROMPT_COMMAND': 'printf "\x1b]0;<mock-chroot>\x07<mock-chroot>"', 'HOME': '/builddir', 'CCACHE_DIR': '/tmp/ccache', 'CCACHE_UMASK': '002'} and shell False
DEBUG: Unsharing. Flags: 134217728
Need to be root.
DEBUG: Child return code was: 1
INFO: EXCEPTION: Command failed. See logs for output.
...

The user is of course part of the mock group.

I'll attach complete logs.

Version-Release number of selected component (if applicable):
mock-1.2.10-1.el7.noarch

Comment 1 Marko Myllynen 2015-07-10 07:51:59 UTC
Created attachment 1050540 [details]
build.log

Comment 2 Marko Myllynen 2015-07-10 07:52:18 UTC
Created attachment 1050541 [details]
root.log

Comment 3 Marko Myllynen 2015-07-10 07:52:36 UTC
Created attachment 1050542 [details]
state.log

Comment 4 Miroslav Suchý 2015-09-09 08:36:53 UTC
Fixed in commit bb07d5b

Comment 5 Fedora Update System 2015-09-16 20:01:39 UTC
mock-1.2.13-2.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-16053

Comment 6 Fedora Update System 2015-09-16 20:04:42 UTC
mock-1.2.13-2.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-16054

Comment 7 Fedora Update System 2015-09-16 20:06:42 UTC
mock-1.2.13-2.fc21 has been submitted as an update to Fedora 21. https://bodhi.fedoraproject.org/updates/FEDORA-2015-16056

Comment 8 Fedora Update System 2015-09-16 20:08:24 UTC
mock-1.2.13-2.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-8114

Comment 9 Fedora Update System 2015-09-16 20:09:31 UTC
mock-1.2.13-2.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-8115

Comment 10 Marko Myllynen 2015-09-17 11:28:42 UTC
This still fails on EL7.1 as there is no machinectl --no-legend option.

Thanks.

Comment 11 Fedora Update System 2015-09-17 21:29:54 UTC
mock-1.2.13-2.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update mock'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-16054

Comment 12 Fedora Update System 2015-09-18 05:20:50 UTC
mock-1.2.13-2.fc21 has been pushed to the Fedora 21 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update mock'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-16056

Comment 13 Fedora Update System 2015-09-18 16:24:28 UTC
mock-1.2.13-2.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update mock'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-16053

Comment 14 Miroslav Suchý 2015-09-18 18:03:51 UTC
Fixed in:
* 1a99d39 (HEAD -> devel, origin/devel) typo [RHBZ#1241827]
* 5f265f1 do not use machinectl --no-legend as it is not el7 compatible [RHBZ#1241827]

Comment 15 Fedora Update System 2015-09-19 03:19:45 UTC
mock-1.2.13-2.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update mock'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-8115

Comment 16 Fedora Update System 2015-09-19 03:21:35 UTC
mock-1.2.13-2.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update mock'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-8114

Comment 17 Marko Myllynen 2015-09-21 04:58:32 UTC
After removing the -q option from systemd-nspawn this finally works on EL7.

Thanks.

Comment 18 Miroslav Suchý 2015-09-21 11:54:36 UTC
Argggh. Right. On EL7 there is systemd version which does not recognize -q option.
However in RHEL 7.2 there will be systemd which recognize -q. And because 7.2 will be release probably sooner than next version of mock, I will leave it as it is.
Sorry for the inconvenience.

Comment 19 Fedora Update System 2015-09-23 04:09:09 UTC
mock-1.2.13-2.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 20 Fedora Update System 2015-09-24 08:23:06 UTC
mock-1.2.13-2.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Comment 21 Fedora Update System 2015-10-05 22:50:17 UTC
mock-1.2.13-2.fc21 has been pushed to the Fedora 21 stable repository. If problems still persist, please make note of it in this bug report.

Comment 22 Fedora Update System 2015-10-07 03:04:48 UTC
mock-1.2.13-2.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Comment 23 Fedora Update System 2015-10-07 04:04:12 UTC
mock-1.2.13-2.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.

Comment 24 Fedora Update System 2015-11-24 23:31:42 UTC
mock-1.2.14-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-a295f19cae

Comment 25 Fedora Update System 2015-11-24 23:31:45 UTC
mock-1.2.14-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-6d1cc55330

Comment 26 Fedora Update System 2015-11-24 23:32:14 UTC
mock-1.2.14-1.fc21 has been submitted as an update to Fedora 21. https://bodhi.fedoraproject.org/updates/FEDORA-2015-b4d491366d

Comment 27 Fedora Update System 2015-11-24 23:32:17 UTC
mock-1.2.14-1.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-fd9c932e3a

Comment 28 Fedora Update System 2015-11-24 23:32:47 UTC
mock-1.2.14-1.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-3ef940024e

Comment 29 Fedora Update System 2015-11-26 00:51:06 UTC
mock-1.2.14-1.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'yum --enablerepo=epel-testing update mock'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-fd9c932e3a

Comment 30 Fedora Update System 2015-11-26 00:53:10 UTC
mock-1.2.14-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'yum --enablerepo=epel-testing update mock'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-a295f19cae

Comment 31 Fedora Update System 2015-11-26 01:21:53 UTC
mock-1.2.14-1.fc21 has been pushed to the Fedora 21 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update mock'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-b4d491366d

Comment 32 Fedora Update System 2015-11-26 02:25:28 UTC
mock-1.2.14-1.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update mock'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-3ef940024e

Comment 33 Fedora Update System 2015-11-26 02:54:25 UTC
mock-1.2.14-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update mock'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-6d1cc55330

Comment 34 Fedora Update System 2015-11-27 18:20:31 UTC
mock-1.2.14-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 35 Fedora Update System 2016-01-03 20:26:16 UTC
mock-1.2.14-1.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.

Comment 36 Fedora Update System 2016-01-03 21:20:05 UTC
mock-1.2.14-1.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Comment 37 Fedora Update System 2016-01-03 23:26:02 UTC
mock-1.2.14-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.